```@meta
CurrentModule = ExplainableAI
```

# ExplainableAI.jl

Explainable AI in Julia using [Flux.jl](https://fluxml.ai).

## Installation 
To install this package and its dependencies, open the Julia REPL and run 
```julia-repl
julia> ]add ExplainableAI
```

## Manual
### General usage
```@contents
Pages = [
    "generated/example.md",
    "generated/heatmapping.md",
    "generated/augmentations.md",
]
Depth = 3
```
### LRP
```@contents
Pages = [
    "generated/lrp/basics.md",
    "generated/lrp/composites.md",
    "generated/lrp/custom_layer.md",
    "generated/lrp/custom_rules.md",
    "lrp/developer.md",
]
Depth = 3
```

## API reference
### General
```@contents
Pages = ["api.md"]
Depth = 2
```

### LRP
```@contents
Pages = ["lrp/api.md"]
Depth = 2
```